Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-20244

HBase indicates restart required after upgrade from Amabri-2.4+HDP-2.5

VotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Critical
    • Resolution: Fixed
    • 2.5.0
    • 2.5.0
    • ambari-metrics
    • None

    Description

      HBase indicates restart required after upgrade to Ambari-2.5 from Ambari-2.4 + HDP-2.6. The root cause seems to be the addition of a property to ams-ssl-client config type

      Ambari-2.4 deployed

      "properties" : {
              "ssl.client.truststore.location" : "/etc/security/clientKeys/all.jks",
              "ssl.client.truststore.password" : "SECRET:ams-ssl-client:1:ssl.client.truststore.password",
              "ssl.client.truststore.type" : "jks"
            }
      

      Post upgrade it became the following - ssl.client.truststore.alias got added.

      "properties" : {
              "ssl.client.truststore.alias" : "",
              "ssl.client.truststore.location" : "/etc/security/clientKeys/all.jks",
              "ssl.client.truststore.password" : "SECRET:ams-ssl-client:2:ssl.client.truststore.password",
              "ssl.client.truststore.type" : "jks"
            }
      

      Attachments

        1. AMBARI-20244.patch
          8 kB
          Aravindan Vijayan

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            avijayan Aravindan Vijayan
            avijayan Aravindan Vijayan
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Issue deployment